Skip to main content
POST
Initialize Transaction

Available Template IDs

Eka Care supports multiple output templates for different medical documentation needs. Choose the appropriate template ID based on your requirements:

Available model types

Supported Input Languages

Eka Care supports transcription in multiple languages. Specify the appropriate language ID in the input_language parameter:

Supported Output Languages

Eka Care supports generating transcription output in multiple languages, but only one can be selected at a time. Specify the appropriate language ID in the output_language parameter.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

txn_id
string
required

Unique Transaction ID - same as passed in presigned URL request

Example:

"test_1234"

Body

application/json
mode
enum<string>
required

Processing mode

Available options:
dictation,
consultation
Example:

"dictation"

transfer
enum<string>
required

Transfer mode use vaded for pre-processed audio with Voice Activity Detection, non-vaded for raw audio files

Available options:
non-vaded,
vaded
Example:

"non-vaded"

batch_s3_url
string
required

Complete S3 URL path where audio files are uploaded. This is constructed by combining:

  • Base S3 URL from presigned response: presigned_url["uploadData"]["url"]
  • Folder path from presigned response: presigned_url["folderPath"]

Construction: presigned_url["uploadData"]["url"] + presigned_url["folderPath"]

Example:

"https://m-prod-ekascribe-batch.s3.amazonaws.com/EC_173210496011417/txn_301/20250617_105524/"

client_generated_files
string[]
required

Array of audio file names that were uploaded to S3

Example:
model_type
enum<string>
required

Type of model to be used for transcription

Available options:
pro,
lite
Example:

"pro"

additional_data
object

Contextual information for the transaction

Example:
input_language
enum<string>[]

Array of supported input languages for voice transcription

Available options:
en-IN,
en-US,
hi,
gu,
kn,
ml,
ta,
te,
bn,
mr,
pa,
or
Example:
output_language
enum<string>

Output language for the transcription result

Available options:
en-IN,
en-US,
hi,
gu,
kn,
ml,
ta,
te,
bn,
mr,
pa,
or
Example:

"en-IN"

speciality
string

Medical speciality context for better transcription accuracy

Example:

"general_medicine"

output_format_template
object[]

Array of template configurations for output format

Example:

Response

Transaction initialized successfully

status
string
Example:

"success"

message
string
Example:

"Transaction initialized successfully"

txn_id
string
Example:

"test_1234"

b_id
string
Example:

"b-1234567890"